/*
 *      Script par Tanguy Gimenez      
 *
 */

using UnityEngine;

public class VerdureGestionNature : MonoBehaviour
{
    // nombre maximum de points que peut rapporter un élément de verdure
    private const int MAX_POINTS = 10;

    // nombre de points que rapporte cet objet
    public int nbPoints = 0;


    void Start()
    {
        if (nbPoints > MAX_POINTS)
        {
            Debug.LogError("nbPoints ne peut pas être supérieur à " + MAX_POINTS);
            return;
        }
    }

    // Quand le joueur entre en collision avec le joueur => on ajoute les points (au groupe 12 :tirak:)
    private void OnTriggerEnter2D(Collider2D other)
    {
        if (other.CompareTag("Player"))
        {
            PlayerNature.instance.WinNature(nbPoints);
            this.nbPoints = 0;
        }
    }



}
